Subject: Re: Permaculture and Natural Farming
From: [email-masked] (KEVINDUFFY)
Date: 6 Jun 1994 18:29:04 -0400
Newsgroups: alt.sustainable.agriculture

In article <[email-masked]>,
[email-masked] (Doug Hockin) writes:

The Bear Tribe was formed by a Native American, Sun Bear.   Currently
some of the most notable medicine men and tribal elders are very
supportive of the Bear Tribe's vision, even after the death of Sun
Bear.  If you view some of the Video tapes of the Bear Tribe you will
seea who's who of contemporary Native Leaders contributing to the
vision of Earth Renewel that the Bear Tribe supports.   Kevin